---
dependency:
  name: galaxy
driver:
  name: podman
platforms:
  - name: instance
    image: docker.io/geerlingguy/docker-debian10-ansible
    tmpfs:
      - /run
      - /tmp
    volumes:
      - /sys/fs/cgroup:/sys/fs/cgroup:ro
    capabilities:
      - SYS_ADMIN
    command: "/lib/systemd/systemd"
    pre_build_image: true
    exposed_ports:
      - 80/udp
      - 80/tcp
    published_ports:
      - 8888:80/udp
      - 8888:80/tcp
provisioner:
  name: ansible
  env:
    ANSIBLE_VERBOSITY: 1
    ANSIBLE_STDOUT_CALLBACK: yaml
verifier:
  name: ansible
lint: |
    yamllint .